﻿<%@ page language="VB" autoeventwireup="false" inherits="Admin_Default, KartrisCompiled" theme="Admin" enableEventValidation="false" viewStateEncryptionMode="Always" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="loginhead" runat="server">
    <base id="baseTag" runat="server" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <!--
	    ===============================================================================
        KARTRIS by cactusoft
        (c)2009 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.KARTRIS.COM
        All rights reserved.
        ===============================================================================
        -->
    <title>Kartris</title>
    <link rel="icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<body id="page_login" class="main">
    <div id="centrecontainer">
                <form id="frmLogin" runat="server">
                <div id="loginbox" class="popup">
                    <h2>
                        <asp:Literal ID="litPageTitleWelcomeToKartris" Text="<%$ Resources: _Kartris, PageTitle_WelcomeToKartris %>"
                            runat="server" /></h2>
                    <asp:Image ID="imgLogo" runat="server" ImageUrl="~/Images/BackEnd/logo.png" CssClass="logo" />
                    <asp:MultiView ID="mvwMain" runat="server" ActiveViewIndex="0">
                        <asp:View ID="viwLogin" runat="server">
                            <asp:Panel ID="divError" runat="server" CssClass="errormessage">
                                <asp:Literal ID="litError" Text="<%$ Resources: ContentText_LoginBadUser %>" runat="server" />
                            </asp:Panel>
                            <div class="Kartris-DetailsView">
                                <div class="Kartris-DetailsView-Data">
                                    <ul>
                                        <li>
                                            <asp:Literal runat="server" ID="litContentTextPleaseEnterLoginAndPassword" Text="<%$ Resources: ContentText_PleaseEnterLoginAndPassword  %>" /></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label runat="server" ID="lblUserName" Text="<%$ Resources: _Kartris, FormLabel_Username %>"
                                                AssociatedControlID="txtUserName" /></span><span class="Kartris-DetailsView-Value"><asp:TextBox
                                                    ID="txtUserName" runat="server" CssClass="midtext"></asp:TextBox></span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label runat="server" ID="lblPass" Text="<%$ Resources: _Kartris, FormLabel_Password %>"
                                                AssociatedControlID="txtPass" /></span><span class="Kartris-DetailsView-Value"><asp:TextBox
                                                    ID="txtPass" runat="server" TextMode="Password" CssClass="midtext"></asp:TextBox></span></li>
                                    </ul>
                                </div>
                            </div>
                            <div>
                                <asp:Button ID="btnLogin" runat="server" Text="<%$ Resources: _Kartris, FormButton_Submit %>"
                                    CssClass="button" />
                            </div>
                            <asp:HyperLink ID="lnkFrontOfSite" runat="server" NavigateUrl="~/default.aspx" Text="<%$ Resources:_Kartris, ContentText_FrontOfSite %>"
                                CssClass="linkbutton icon_edit gotofront" />
                        </asp:View>
                        <asp:View ID="viwInvalidLicense" runat="server">
                            <br />
                            <br />
                            <br />
                            <div class="errormessage">
                                Your license is corrupted. Please ensure you don't alter any values and use the
                                exact license as supplied for your Kartris installation.
                            </div>
                        </asp:View>
                        <asp:View ID="viwNotFoundLicense" runat="server">
                            <br />
                            <br />
                            <br />
                            <div class="errormessage">
                                A valid Kartris license license.config was not found in the root of your web.
                            </div>
                        </asp:View>
                    </asp:MultiView>
                </div>
                </form>
            </div>
</body>
</html>
