﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_Front_SiteNews, KartrisCompiled" %>
<asp:PlaceHolder ID="phdNews" runat="server">
<div class="news">

    <asp:PlaceHolder ID="phdH1Tag" runat="server">
        <h1>
            <asp:Literal ID="litPageTitleSiteNews" runat="server" Text="<%$ Resources: News, PageTitle_SiteNews %>" /></h1>
    </asp:PlaceHolder>
    
    <asp:PlaceHolder ID="phdH2Tag" runat="server">
        <h2 class="blockheader"><span><span>
            <asp:Literal ID="litPageTitleSiteNews2" runat="server" Text="<%$ Resources: News, PageTitle_SiteNews %>" /></span></span></h2>
    </asp:PlaceHolder>

    <div id="summary">
        <ul>
            <asp:Repeater ID="rptSiteNews" runat="server">
                <ItemTemplate>
                    <li>
                        <div class="news_lastupdated">
                            <asp:Literal ID="N_DateCreated" runat="server" Text='<%# CkartrisDisplayFunctions.FormatDate(Eval("N_DateCreated"), "d", Session("LANG")) %>' /></div>
                        <div class="news_link">
                            <asp:HyperLink ID="lnkNews" runat="server" Text='<%# Eval("N_Name") %>'></asp:HyperLink>
                        </div>
                        <div class="spacer">
                        </div>
                        <div class="news_text">
                            <asp:Literal ID="N_Text" runat="server" Text='<%# Kartris.CkartrisDisplayFunctions.TruncateDescription(Eval("N_Text"), KartSettingsManager.GetKartConfig("frontend.news.display.truncatestory")) %>' /></div>
                    </li>
                </ItemTemplate>
            </asp:Repeater>
        </ul>
        <asp:PlaceHolder ID="phdNoResults" runat="server">
            <asp:Literal ID="litNoItems" Text="<%$ Resources: Kartris, ContentText_NoItems %>"
                runat="server"></asp:Literal>
        </asp:PlaceHolder>
    </div>
</div>
</asp:PlaceHolder>
<asp:Literal ID="litDisabledCommentMessage" runat="server" />